Array
Date: 2016-06-24

java.lang.reflect

## Class Array

- java.lang.Object
- - java.lang.reflect.Array

-     public final class Array
      extends Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Object` | `get(Object var0, int var1)`
    `static boolean` | `getBoolean(Object var0, int var1)`
    `static byte` | `getByte(Object var0, int var1)`
    `static char` | `getChar(Object var0, int var1)`
    `static double` | `getDouble(Object var0, int var1)`
    `static float` | `getFloat(Object var0, int var1)`
    `static int` | `getInt(Object var0, int var1)`
    `static int` | `getLength(Object var0)`
    `static long` | `getLong(Object var0, int var1)`
    `static short` | `getShort(Object var0, int var1)`
    `static Object` | `newInstance(Class var0, int var1)`
    `static Object` | `newInstance(Class var0, int[] var1)`
    `static void` | `set(Object var0, int var1, Object var2)`
    `static void` | `setBoolean(Object var0, int var1, boolean var2)`
    `static void` | `setByte(Object var0, int var1, byte var2)`
    `static void` | `setChar(Object var0, int var1, char var2)`
    `static void` | `setDouble(Object var0, int var1, double var2)`
    `static void` | `setFloat(Object var0, int var1, float var2)`
    `static void` | `setInt(Object var0, int var1, int var2)`
    `static void` | `setLong(Object var0, int var1, long var2)`
    `static void` | `setShort(Object var0, int var1, short var2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### get

          public static Object get(Object var0,
                   int var1)

    - #### getBoolean

          public static boolean getBoolean(Object var0,
                           int var1)

    - #### getByte

          public static byte getByte(Object var0,
                     int var1)

    - #### getChar

          public static char getChar(Object var0,
                     int var1)

    - #### getDouble

          public static double getDouble(Object var0,
                         int var1)

    - #### getFloat

          public static float getFloat(Object var0,
                       int var1)

    - #### getInt

          public static int getInt(Object var0,
                   int var1)

    - #### getLength

          public static int getLength(Object var0)

    - #### getLong

          public static long getLong(Object var0,
                     int var1)

    - #### getShort

          public static short getShort(Object var0,
                       int var1)

    - #### newInstance

          public static Object newInstance(Class var0,
                           int var1)

    - #### newInstance

          public static Object newInstance(Class var0,
                           int[] var1)

    - #### set

          public static void set(Object var0,
                 int var1,
                 Object var2)

    - #### setBoolean

          public static void setBoolean(Object var0,
                        int var1,
                        boolean var2)

    - #### setByte

          public static void setByte(Object var0,
                     int var1,
                     byte var2)

    - #### setChar

          public static void setChar(Object var0,
                     int var1,
                     char var2)

    - #### setDouble

          public static void setDouble(Object var0,
                       int var1,
                       double var2)

    - #### setFloat

          public static void setFloat(Object var0,
                      int var1,
                      float var2)

    - #### setInt

          public static void setInt(Object var0,
                    int var1,
                    int var2)

    - #### setLong

          public static void setLong(Object var0,
                     int var1,
                     long var2)

    - #### setShort

          public static void setShort(Object var0,
                      int var1,
                      short var2)